Details

    • Type: Regression Bug
    • Status: Closed
    • Resolution: Fixed
    • Affects Version/s: 6.2.0 CE M2
    • Labels:
      None
    • Environment:
      Tomcat 7.0.25 + MySQL 5. 6.1.x GIT ID: 49f750bfe0f04f0f3326e38aad59790fa4753875. 6.1.x Plugins GIT ID: 5676f81bd84b506dc2574806582cfca69a4ed7ac.

      Description

      There is a compile-error when building the documentum-hook plugin.

      Steps to reproduce:
      1. Run "ant all" on the documentum-hook directory.

      D:\git\6.1.x\plugins\hooks\documentum-hook>ant war
      Buildfile: D:\git\6.1.x\plugins\hooks\documentum-hook\build.xml
      
      compile:
      
      merge:
      
      compile-java:
          [javac] Compiling 2 source files to D:\git\6.1.x\plugins\hooks\documentum-hook\docroot\WEB-INF\classes
          [javac] ----------
          [javac] 1. ERROR in D:\git\6.1.x\plugins\hooks\documentum-hook\docroot\WEB-INF\src\com\liferay\documentum\repository\DocumentumRepository.java (at line 129)
          [javac]     public class DocumentumRepository extends BaseRepositoryImpl {
          [javac]                  ^^^^^^^^^^^^^^^^^^^^
          [javac] The type DocumentumRepository must implement the inherited abstract method Repository.checkOutFileEntry(long, String, long, ServiceContext)
          [javac] ----------
          [javac] 2. ERROR in D:\git\6.1.x\plugins\hooks\documentum-hook\docroot\WEB-INF\src\com\liferay\documentum\repository\DocumentumRepository.java (at line 129)
          [javac]     public class DocumentumRepository extends BaseRepositoryImpl {
          [javac]                  ^^^^^^^^^^^^^^^^^^^^
          [javac] The type DocumentumRepository must implement the inherited abstract method Repository.checkOutFileEntry(long, ServiceContext)
          [javac] ----------
          [javac] ----------
          [javac] 3. ERROR in D:\git\6.1.x\plugins\hooks\documentum-hook\docroot\WEB-INF\src\com\liferay\documentum\repository\model\DocumentumFileVersion.java (at line 39)
          [javac]     public class DocumentumFileVersion
          [javac]                  ^^^^^^^^^^^^^^^^^^^^^
          [javac] The type DocumentumFileVersion must implement the inherited abstract method FileVersion.getUuid()
          [javac] ----------
          [javac] 3 problems (3 errors)
      
      BUILD FAILED
      D:\git\6.1.x\plugins\build-common-plugin.xml:407: The following error occurred while executing this line:
      D:\git\6.1.x\plugins\build-common.xml:94: Compile failed; see the compiler error output for details.
      
      Total time: 3 seconds

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              brian.chiu Brian Chiu (Inactive)
              Reporter:
              brian.chiu Brian Chiu (Inactive)
              Participants of an Issue:
              Recent user:
              Esther Sanz
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since last comment:
                9 years, 27 weeks, 5 days ago

                  Packages

                  Version Package
                  6.1.1 CE GA2
                  6.1.20 EE GA2
                  6.2.0 CE M2